.high-card {
  position: relative;
  display: flex;
  flex-direction: column;
}

.high-card__link {
  text-decoration: none;
  height: 100%;
}

.high-card__link:hover .high-card__btn,
.high-card__link:hover .high-card__icon-btn-eye {
  opacity: 1;
  transition: opacity 0.5s ease-in;
}

.high-card__view {
  position: relative;
}

.high-card__desc {
  margin-top: 22px;
  text-align: left;
  color: rgb(0, 0, 0);
}

.high-card__price {
  position: relative;
  font-size: 2.4rem;
  font-weight: 600;
  padding-left: 1.5rem;
}

.high-card__price::before {
  content: '$';
  position: absolute;
  left: 0;
}

.high-card__title {
  margin-top: 0.6rem;
  font-size: 2rem;
  line-height: 1.2;
  font-weight: 600;

  max-height: calc(2 * (2rem * 1.2));
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.high-card__rating {
  margin-top: 10px;
}

.high-card__btn {
  opacity: 0;

  width: calc(100% - 15px * 2);
  position: absolute;
  bottom: 15px;
  left: 15px;
}

.high-card__icon-btn-eye {
  opacity: 0;
}

.high-card__icons {
  position: absolute;
  top: 15px;
  right: 15px;

  display: flex;
  flex-direction: column;
  gap: 8px;
}

.high-card__img {
  width: 100%;
}
